## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# celHoverObjectInfo Struct Reference

Contains info about a hovering object, and is used to feed information to the upthrust calculation functor. More...

`#include <propclass/stabiliser_dist.h>`

List of all members.

## Public Attributes

float | height
| The height of the object above the ground in along the world's y axis.
float | yvel
| The vertical velocity of the object along the objects local y axis.

## Detailed Description

Contains info about a hovering object, and is used to feed information to the upthrust calculation functor.

Definition at line 35 of file stabiliser_dist.h.

## Member Data Documentation

float celHoverObjectInfo::height

The height of the object above the ground in along the world's y axis.

Definition at line 41 of file stabiliser_dist.h.

float celHoverObjectInfo::yvel

The vertical velocity of the object along the objects local y axis.

Definition at line 46 of file stabiliser_dist.h.

The documentation for this struct was generated from the following file:

- propclass/stabiliser_dist.h